Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.groups
Interface IIndividualGroupService

All Superinterfaces:
  IComponentGroupService, ICompositeGroupService

All Known Implementing Classes:
  ReferenceIndividualGroupService

    public interface IIndividualGroupService

extends ICompositeGroupService

Defines a component group service that finds and maintains `IGroupMembers` within a composite group service.

Version:
  $Revision: 1.4 $
Author:
  Dan Ellentuck

Method Summary
`boolean` | `contains(IEntityGroup group, IGroupMember member)` Answers if `group` contains `member`.
`void` | `deleteGroup(IEntityGroup group)` Removes the `IEntityGroup` from the store.
`IEntityGroup` | `findGroup(CompositeEntityIdentifier ent)` Returns a preexisting `IEntityGroup` from the store.
`java.util.Iterator` | `findMembers(IEntityGroup group)` Returns an `Iterator` over the members of `group`.
`boolean` | `isEditable()` Answers if the service can be updated by the portal.
`boolean` | `isEditable(IEntityGroup group)` Answers if the group can be updated or deleted in the store.
`IEntityGroup` | `newGroup(java.lang.Class type)` Returns a new `IEntityGroup` for the given Class with an unused key.
`void` | `updateGroup(IEntityGroup group)` Commits the updated `IEntityGroup` and its memberships to the store.
`void` | `updateGroupMembers(IEntityGroup group)` Commits the updated group memberships to the store.

Methods inherited from interface org.jasig.portal.groups.ICompositeGroupService
`findContainingGroups, findGroup, findGroupWithLock, getEntity, getEntity, getGroupMember, getGroupMember, newGroup, searchForEntities, searchForEntities, searchForGroups, searchForGroups`

Methods inherited from interface org.jasig.portal.groups.IComponentGroupService
`getComponentServices, getServiceName, isLeafService, setServiceName`

Method Detail

### contains

    boolean contains(IEntityGroup group,
                     IGroupMember member)
                     throws GroupsException

  Answers if `group` contains `member`.

  Parameters:
    `group` - org.jasig.portal.groups.IEntityGroup
    `member` - org.jasig.portal.groups.IGroupMember
  Returns:
    boolean
  Throws:
    `GroupsException`

### deleteGroup

    void deleteGroup(IEntityGroup group)
                     throws GroupsException

  Removes the `IEntityGroup` from the store.

  Throws:
    `GroupsException`

### findGroup

    IEntityGroup findGroup(CompositeEntityIdentifier ent)
                           throws GroupsException

  Returns a preexisting `IEntityGroup` from the store.

  Parameters:
    `ent` - CompositeEntityIdentifier
  Throws:
    `GroupsException`

### findMembers

    java.util.Iterator findMembers(IEntityGroup group)
                                   throws GroupsException

  Returns an `Iterator` over the members of `group`.

  Parameters:
    `group` - IEntityGroup
  Throws:
    `GroupsException`

### isEditable

    boolean isEditable(IEntityGroup group)
                       throws GroupsException

  Answers if the group can be updated or deleted in the store.

  Parameters:
    `group` - IEntityGroup
  Throws:
    `GroupsException`

### isEditable

    boolean isEditable()

  Answers if the service can be updated by the portal.

### newGroup

    IEntityGroup newGroup(java.lang.Class type)
                          throws GroupsException

  Returns a new `IEntityGroup` for the given Class with an unused key.

  Throws:
    `GroupsException`

### updateGroup

    void updateGroup(IEntityGroup group)
                     throws GroupsException

  Commits the updated `IEntityGroup` and its memberships to the store.

  Parameters:
    `group` - IEntityGroup
  Throws:
    `GroupsException`

### updateGroupMembers

    void updateGroupMembers(IEntityGroup group)
                            throws GroupsException

  Commits the updated group memberships to the store.

  Parameters:
    `group` - IEntityGroup
  Throws:
    `GroupsException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD